Page MenuHomePhabricator

Configure the size limit of the file upload configuration for tasks to a higher limit than 10MB
Closed, ResolvedPublic

Description

I tried to upload a video file for a bug which is about 14MB size, it showed an error message while trying to upload.The file size limit should be increased for tasks because often times the video shots for the bugs are of usually around this size.

Details

Reference
fl261

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:33 AM
flimport set Reference to fl261.

qgil wrote on 2014-04-30 04:58:49 (UTC)

Andre, what is the current size limit in Bugzilla?

aklapper wrote on 2014-05-01 16:04:07 (UTC)

Andre, what is the current size limit in Bugzilla?

maxattachmentsize is set to 10240 kB

qgil wrote on 2014-05-01 17:41:18 (UTC)

Alright, so this is the document explaining what needs to be done.

https://secure.phabricator.com/book/phabricator/article/configuring_file_upload_limits/

Someone with the permissions might want to try, or we can wait until we have an official instance.

qgil wrote on 2014-05-13 19:28:22 (UTC)

See T322: Possibility to pair API documentation with user comments, where one of the Phabricator maintainers says that handling files above say 16MB might be problematic.

aklapper wrote on 2014-05-30 14:32:49 (UTC)

@Ryasmeen: Are there examples for "usually around this size"?

Would love to base this decision on some more input, because currently I'd propose setting a maximum file size of 15MB is sufficient (so we'd stay under 16MB for performance reasons)? If videos are larger, are explanations in https://commons.wikimedia.org/wiki/Help:Converting_video sufficient how to shrink their size?

I only see videos getting to such large size; if I miss other file types, please tell.

aklapper wrote on 2014-06-12 19:50:56 (UTC)

We currently think of sticking with Bugzilla's currently allowed file attachment size (10MB) as we don't want to create a regression but don't plan to do a whole lot of performance testing due to a higher file size either.
Still, @mmodell plans of doing some testing when it comes to file storage.

For files larger than 10MB to link to from tickets, existing workarounds (upload to a wiki, server, youtube) might have to stay around for a while. :-/

Rush wrote on 2014-07-16 17:24:48 (UTC)

This has been resolved for now, we are going to use teh native attachment store and match the previous limits.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:33 AM
flimport added a subscriber: chasemp.

I cant attached a video capture for a task of mere 10.1 MB size
Reopening this task

Ryasmeen reopened this task as Open.Feb 20 2015, 11:58 PM
Ryasmeen set Security to None.
chasemp closed this task as Resolved.Feb 21 2015, 12:04 AM
chasemp added a subscriber: flimport.

I cant attached a video capture for a task of mere 10.1 MB size
Reopening this task

In T160#2172, @flimport wrote:

aklapper wrote on 2014-06-12 19:50:56 (UTC)
We currently think of sticking with Bugzilla's currently allowed file attachment size (10MB) as we don't want to create a regression but don't plan to do a whole lot of performance testing due to a higher file size either.
Still, @mmodell plans of doing some testing when it comes to file storage.
For files larger than 10MB to link to from tickets, existing workarounds (upload to a wiki, server, youtube) might have to stay around for a while. :-/

Aklapper renamed this task from Configure the size limit of the file upload configuration for tasks to a higher limit (20MiB?) to Configure the size limit of the file upload configuration for tasks to a higher limit than 10MB.Apr 1 2015, 2:01 PM
Aklapper added a subscriber: csteipp.
greg added a subscriber: greg.Apr 1 2015, 2:54 PM
In T160#2170, @flimport wrote:

qgil wrote on 2014-05-13 19:28:22 (UTC)
See T322: Possibility to pair API documentation with user comments, where one of the Phabricator maintainers says that handling files above say 16MB might be problematic.

I don't see that at our T322 nor upstream's T322. This task looks like an import from the phab test instance, can someone link to the right ticket, plz?

Also, can we make it 35MB, so I can upload the release .tar file that our scripts spit out? External linking will not work, since these need to stay private to the security team and people we give early access to.

greg added a comment.Apr 6 2015, 8:21 PM
In T160#1182956, @Qgil wrote:

Relevant quote:

In T192#2558, @flimport wrote:

epriestley wrote on 2014-05-11 22:41:46 (UTC)

  • Phabricator is not efficient at managing very large files right now. You should find another solution for sharing files larger than, say, 16MB, or expect lackluster performance until we can put some work into this.
mmodell added a comment.EditedApr 9 2015, 6:52 AM

I'm not sure how bad performance would be but I suspect that it would be pretty terrible. This is a fairly well educated guess; I worked on the file serving code as part of making private files really private. By implementing extra checks, we made phabricator file serving quite a bit less efficient, as a direct consequence of wikimedia security requirements.